Get specific deployment status in a project by project ID and deployment ID
GET /api/v2/projects/id//deployments/id/. Edge nodes API reference.
curl --request GET \
--url https://{apiHost}/api/v2/projects/id/{projectId}/deployments/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v2/projects/id/{projectId}/deployments/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v2/projects/id/{projectId}/deployments/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"appInstPolicies": [
{
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"appInstConfig": {
"originType": "ORIGIN_LOCAL"
}
}
],
"networkInstPolicies": [
{
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"netInstConfig": {
"tags": {},
"port": "<string>",
"portTags": {},
"kind": "NETWORK_INSTANCE_KIND_UNSPECIFIED",
"type": "NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED",
"ip": {
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
]
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"opaque": {
"type": "OPAQUE_CONFIG_TYPE_UNSPECIFIED",
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
}
},
"deviceDefault": true,
"propagateConnectedRoutes": true,
"staticRoutes": [
{
"prefix": "<string>",
"gateway": "<string>",
"outputPort": "<string>",
"probeConfig": {
"enableGatewayPing": true,
"pingMaxCost": 123,
"preferLowerCost": true,
"preferStrongerWwanSignal": true,
"customProbeConfig": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
}
}
],
"forwardLldp": true
}
}
],
"volumeInstPolicies": [
{
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"volInstConfig": {
"type": "VOLUME_INSTANCE_TYPE_UNSPECIFIED",
"multiattach": true,
"cleartext": true,
"accessmode": "VOLUME_INSTANCE_ACCESS_MODE_INVALID",
"sizeBytes": 123,
"image": "<string>",
"contentTreeId": "<string>",
"label": "<string>",
"purge": {
"counter": 123,
"opsTime": {}
},
"contentTreeTargetCondition": {},
"blockStorageTags": {}
}
}
],
"devicePolicies": [
{
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"policySubType": "DEVICE_POLICY_TYPE_UNSPECIFIED",
"attestationPolicy": {
"type": "DEVICE_ATTEST_POLICY_TYPE_UNSPECIFIED"
},
"pcrPolicy": {
"pcrIndices": [
123
],
"policyVersion": 123
},
"portBasedNetworkAccessControlPolicy": {
"enablePortBasedNetworkAccessControl": true,
"eapMethod": "EAP_METHOD_UNSPECIFIED",
"eapIdentity": "<string>",
"certificateEnrollmentId": "<string>"
}
}
],
"integrationPolicy": {
"Id": "<string>",
"Name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
},
"clusterPolicy": {
"Id": "<string>",
"Name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
},
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"deploymentTag": "<string>",
"projectId": "<string>",
"edgeviewPolicy": {
"edgeviewAllow": true,
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"edgeviewcfg": {
"jwtInfo": {
"dispUrl": "<string>",
"allowSec": 123,
"expireSec": "<string>",
"numInst": 123,
"encrypt": true,
"authen": "EvAuth_TYPE_UNSPECIFIED"
},
"token": "<string>",
"devPolicy": {
"allowDev": true
},
"appPolicy": {
"allowApp": true
},
"extPolicy": {
"allowExt": true
},
"generationId": 123,
"requireControllerAuthen": true
},
"accessAllowChange": true,
"maxExpireSec": 123,
"maxInst": 123,
"requireControllerAuthen": true
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Response
A successful response.
system generated unique id for an deployment
user defined name for the deployment
user defined title for the deployment
list of app instance policies
Show child attributes
Show child attributes
list of network instance policies
Show child attributes
Show child attributes
list of volume instamce policies
Show child attributes
Show child attributes
list of device policies
Show child attributes
Show child attributes
integration policy details
Show child attributes
Show child attributes
cluster policy details
Show child attributes
Show child attributes
object revision
Show child attributes
Show child attributes
user defined tag for the deployment, which is used while targeting set of devices
project id
edge view policy details
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v2/projects/id/{projectId}/deployments/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v2/projects/id/{projectId}/deployments/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v2/projects/id/{projectId}/deployments/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"appInstPolicies": [
{
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"appInstConfig": {
"originType": "ORIGIN_LOCAL"
}
}
],
"networkInstPolicies": [
{
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"netInstConfig": {
"tags": {},
"port": "<string>",
"portTags": {},
"kind": "NETWORK_INSTANCE_KIND_UNSPECIFIED",
"type": "NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED",
"ip": {
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
]
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"opaque": {
"type": "OPAQUE_CONFIG_TYPE_UNSPECIFIED",
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
}
},
"deviceDefault": true,
"propagateConnectedRoutes": true,
"staticRoutes": [
{
"prefix": "<string>",
"gateway": "<string>",
"outputPort": "<string>",
"probeConfig": {
"enableGatewayPing": true,
"pingMaxCost": 123,
"preferLowerCost": true,
"preferStrongerWwanSignal": true,
"customProbeConfig": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
}
}
],
"forwardLldp": true
}
}
],
"volumeInstPolicies": [
{
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"volInstConfig": {
"type": "VOLUME_INSTANCE_TYPE_UNSPECIFIED",
"multiattach": true,
"cleartext": true,
"accessmode": "VOLUME_INSTANCE_ACCESS_MODE_INVALID",
"sizeBytes": 123,
"image": "<string>",
"contentTreeId": "<string>",
"label": "<string>",
"purge": {
"counter": 123,
"opsTime": {}
},
"contentTreeTargetCondition": {},
"blockStorageTags": {}
}
}
],
"devicePolicies": [
{
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"policySubType": "DEVICE_POLICY_TYPE_UNSPECIFIED",
"attestationPolicy": {
"type": "DEVICE_ATTEST_POLICY_TYPE_UNSPECIFIED"
},
"pcrPolicy": {
"pcrIndices": [
123
],
"policyVersion": 123
},
"portBasedNetworkAccessControlPolicy": {
"enablePortBasedNetworkAccessControl": true,
"eapMethod": "EAP_METHOD_UNSPECIFIED",
"eapIdentity": "<string>",
"certificateEnrollmentId": "<string>"
}
}
],
"integrationPolicy": {
"Id": "<string>",
"Name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
},
"clusterPolicy": {
"Id": "<string>",
"Name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
},
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"deploymentTag": "<string>",
"projectId": "<string>",
"edgeviewPolicy": {
"edgeviewAllow": true,
"metaData": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"policyTargetCondition": {}
},
"edgeviewcfg": {
"jwtInfo": {
"dispUrl": "<string>",
"allowSec": 123,
"expireSec": "<string>",
"numInst": 123,
"encrypt": true,
"authen": "EvAuth_TYPE_UNSPECIFIED"
},
"token": "<string>",
"devPolicy": {
"allowDev": true
},
"appPolicy": {
"allowApp": true
},
"extPolicy": {
"allowExt": true
},
"generationId": 123,
"requireControllerAuthen": true
},
"accessAllowChange": true,
"maxExpireSec": 123,
"maxInst": 123,
"requireControllerAuthen": true
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}